summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorG. Branden Robinson <g.branden.robinson@gmail.com>2020-04-19 10:16:32 +1000
committerG. Branden Robinson <g.branden.robinson@gmail.com>2020-04-19 10:16:32 +1000
commitd4c4f4786d4652a96b394963f9e5e9b15d27c6f0 (patch)
tree3dce39fea532d9f87e05d1ceef0d20462b37510d
parent300ebcf4a3305f66614a2bebeb51dee03fe41253 (diff)
downloadgroff-git-d4c4f4786d4652a96b394963f9e5e9b15d27c6f0.tar.gz
Add regression test for Savannah #58162.
This test fails in the current state of the tree.
-rw-r--r--src/roff/groff/groff.am1
-rwxr-xr-xsrc/roff/groff/tests/regression_savannah_58162.sh26
2 files changed, 27 insertions, 0 deletions
diff --git a/src/roff/groff/groff.am b/src/roff/groff/groff.am
index 40f1579c3..3902bc0f1 100644
--- a/src/roff/groff/groff.am
+++ b/src/roff/groff/groff.am
@@ -46,6 +46,7 @@ groff_TESTS = \
src/roff/groff/tests/recognize_end_of_sentence.sh \
src/roff/groff/tests/regression_savannah_56555.sh \
src/roff/groff/tests/regression_savannah_58153.sh \
+ src/roff/groff/tests/regression_savannah_58162.sh \
src/roff/groff/tests/smoke-test_html_device.sh \
src/roff/groff/tests/string_case_xform_errors.sh \
src/roff/groff/tests/string_case_xform_requests.sh \
diff --git a/src/roff/groff/tests/regression_savannah_58162.sh b/src/roff/groff/tests/regression_savannah_58162.sh
new file mode 100755
index 000000000..e608c5c7b
--- /dev/null
+++ b/src/roff/groff/tests/regression_savannah_58162.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+#
+# Copyright (C) 2020 Free Software Foundation, Inc.
+#
+# This file is part of groff.
+#
+# groff is free software; you can redistribute it and/or modify it under
+# the terms of the GNU General Public License as published by the Free
+# Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# groff is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
+# for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+groff="${abs_top_builddir:-.}/test-groff"
+
+set -e
+
+# Compatibility mode should not get shut off by macro file inclusion.
+printf '.ds FOO FAIL\n\\*[FOO]' | "$groff" -C -Tutf8 | grep -Fx 'FOO]'